注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

mmicky 的博客

追逐刹那的惊艳

 
 
 

日志

 
 

python2.7安装趣事  

2013-07-05 16:50:55|  分类: 杂记 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
最近在上一个NOSQL 的课程,需要做测试。看了一些相关的资料,还是选用了python来写代码。
下载安装上python后,先安装一个MySQLdb插件,是通用的windows安装文件,关键是要选择正确的python版本。
接着安装memcached插件的时候出了问题,需要setuptools,上https://pypi.python.org/pypi 搜索了一个setuptools,安装setyptools,迅速搞定memcached。
在https://pypi.python.org/pypi 可以发现有用的包,哈哈。

由于在windows 客户端访问linux中的mysql 和 memcached 进行比较时,发现网络用时占用了较多的时间,无法做出比较精确的比较数据,只好将代码移到linux上测试。悲剧的是centOS 已经安装了python2.6,将python2.7.5安装后,默认还是启动python2.6。后来发现,只要两个命令就搞定:
[root@mysql bin]# mv /usr/bin/python /usr/bin/python.bak
[root@mysql bin]# ln -s /usr/local/bin/python2.7 /usr/bin/python

发现有资料说使用libmemcached是读取memcached速度更快,功能库更全的C语言库,于是兴冲冲的下载了最新版本。噢~,libmemcached的倒是顺利搞定,python-libmemcached又安装不上了,缺少cpython模块。晕啊,又测试不了了。怎么python这么悲剧啊,python-mysql还没搞定呢,5555555555.
  评论这张
 
阅读(199)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017